Download it now!
Bug 75931 - EDITING/FORMATTING: Invisible text when editing
Summary: EDITING/FORMATTING: Invisible text when editing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shape-Textbox
  Show dependency treegraph
 
Reported: 2014-03-09 01:21 UTC by gus knight
Modified: 2019-08-30 22:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gus knight 2014-03-09 01:21:02 UTC
1. Create a new Draw document
2. Create an object and give it a filled white background and some text (text is visible at this point)
3. Change the page background to any color that would cause text colors to become white
4. Edit the object's text. It will appear invisible, because it is being drawn as white

It appears Draw is not taking the object's fill into account when computing the "editing" font color, but does take it into account when regularly drawing the object.
Comment 1 Dominique Boutry 2014-03-13 12:42:06 UTC
Same versions of LibO, on Win7 : what I notice :

With text with "automatic color" :
(1)- regular drawing of the object : text is black or white, anyway visible
(2)- one left clic on the text : text is shown in black, therefore difficult to read on dim colors and invisible on black,
(3)- double-clic on the text : text and text-background are put to opposite color, therefore same potential visibility problem than above.

With text with "defined/fill color" :
(4)- regular drawing of the object : text is more or less visible, depending of the background color
(5)- one left clic on the text : no change, text is more or less visible, depending of the background color,
(6)- double-clic on the text : text and text-background are put to opposite color, therefore same potential visibility problem as above.

All other LibO modules (WRITER, CALC, IMPRESS) are confronted to the analog problems, WRITER however with difference on highligthing way.

IMHO, (1),(4),(5),(6) are correct behaviour, and (2),(3) are bugs (as the "automatic" characteristic is specifically devoted to the text lisibility)
Comment 2 gus knight 2014-03-20 21:51:58 UTC
Ah, OK. Thanks for the clarification, I agree with that.
Comment 3 Joel Madero 2015-05-02 15:42:33 UTC Comment hidden (obsolete)
Comment 4 gus knight 2015-05-02 17:44:33 UTC
Bug still has the same behavior. Windows 8.1, LibreOffice 4.4.1.2.
Comment 5 QA Administrators 2016-09-20 09:38:19 UTC Comment hidden (obsolete)
Comment 6 Mike 2017-12-13 16:59:23 UTC
Issue still present. 

Version: 6.1.0.0.alpha0+ (x64)
Build ID: c7a2538129f16ef1253ae974737d5c9676aaf883
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-12-13_01:02:49
Locale: de-DE (de_DE); Calc: group threaded
Comment 7 QA Administrators 2018-12-14 03:56:00 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug